Package csb :: Package statistics :: Module scalemixture :: Class ScaleMixturePriorEstimator

[frames] | no frames]

# Class ScaleMixturePriorEstimator

source code

               object --+
                        |
    pdf.AbstractEstimator --+
                            |
                           ScaleMixturePriorEstimator

Known Subclasses:
  - GammaPosteriorMAP
  - , GammaPosteriorSampler
  - , InvGammaPosteriorMAP
  - , InvGammaPosteriorSampler

Prior on the scales of a ScaleMixture, which determines how the scales are estimated.

Nested Classes
Inherited from `pdf.AbstractEstimator`: `__metaclass__`

Instance Methods

get_scale_estimator(self) Return an appropriate estimator for the scales of the mixture distribution under this prior. | source code

Inherited from `pdf.AbstractEstimator`: `estimate` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``'``estimate``'``,` `'``get_scale_estima``...``

Properties
Inherited from `object`: `__class__`

Class Variable Details

### __abstractmethods__

Value:

      frozenset(['estimate', 'get_scale_estimator'])